dsep {bnlearn} | R Documentation

## Test d-separation

### Description

Check whether two nodes are d-separated.

### Usage

    dsep(bn, x, y, z)

### Arguments

`bn` | an object of class `bn`.
`x,y` | a character string, the label of a node.
`z` | an optional vector of character strings, the label of the (candidate) d-separating nodes. It defaults to the empty set.

### Value

`dsep()` returns `TRUE` if `x` and `y` are d-separated by `z`, and `FALSE` otherwise.

### Author(s)

Marco Scutari

### References

Koller D, Friedman N (2009). Probabilistic Graphical Models: Principles and Techniques. MIT Press.

### Examples

    bn = model2network("[A][C|A][B|C]")
    dsep(bn, "A", "B", "C")
    bn = model2network("[A][C][B|A:C]")
    dsep(bn, "A", "B", "C")

[Package bnlearn version 4.7.1 Index]